<?php

class actionStatusiCatAdd extends cmsAction {

    public function run() {
        $model = cmsCore::getModel('statusi');
        $form = $this->getForm('cat', array('add'));
        $is_submitted = $this->request->has('submit');
        if ($is_submitted) {

            $cat = $form->parse($this->request, $is_submitted);

            $errors = $form->validate($this, $cat);

            if (!$errors) {

                $cat_id = $model->addCat($cat);
                if ($cat_id) {
                    cmsUser::addSessionMessage('Категория успешно добавлена.', 'success');
                }

                $this->redirectToAction('cats');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return cmsTemplate::getInstance()->render('backend/cat_add', array(
            'do' => 'add',
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));
    }
}